Stock position detail
curl --request GET \
--url https://api.sandbox.busha.so/v1/stocks/portfolio/{symbol} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.busha.so/v1/stocks/portfolio/{symbol}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.busha.so/v1/stocks/portfolio/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"pagination": {
"current_entries_size": 20,
"next_cursor": "MjAyNC0xMC0xNVQxMTowNTo1My45NTkxNDErMDE6MDA=",
"previous_cursor": "MjAyNC0xMC0xNVQxMDowNTo1My45NTIxQjE3MDE6MDA="
},
"data": {
"position": {
"symbol": "AAPL",
"name": "Apple",
"display_ticker": "AAPL",
"tokens": "100",
"value": {
"amount": "100",
"currency": "BTC"
},
"cost_basis": {
"amount": "100",
"currency": "BTC"
},
"is_market_open": true,
"buy_supported": true,
"sell_supported": true,
"logo_url": "https://example.com",
"price": {
"amount": "100",
"currency": "BTC"
},
"average_price": {
"amount": "100",
"currency": "BTC"
},
"average_price_change": {
"currency": "BTC",
"amount": "100",
"percent": "100"
},
"unrealized_pnl": {
"currency": "BTC",
"amount": "100",
"percent": "100"
},
"change_24h": {
"currency": "BTC",
"amount": "100",
"percent": "100"
}
},
"activities": [
{
"id": "SBE_1a2b3c",
"symbol": "AAPL",
"action": "buy",
"tokens": "100",
"amount": {
"amount": "100",
"currency": "BTC"
},
"unit_price": {
"amount": "100",
"currency": "BTC"
},
"status": "completed",
"created_at": "2023-11-07T05:31:56Z",
"funding_currency": "NGN",
"funding_amount": "100"
}
]
}
}Stocks
Stock position detail
One position for the authenticated profile plus a page of the fills behind it, newest first.
GET
/
v1
/
stocks
/
portfolio
/
{symbol}
Stock position detail
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Path Parameters
The stock's display ticker (e.g. AAPL), never the vendor symbol.
Example:
"AAPL"